\version "2.22.0"
\language "nederlands"

instrument = ""
\include "Fantasia-on-Greensleeves_header.ily"

edition = "Fantasia on ‘Greensleeves’; edition 20 June 2021"
\include "Fantasia-on-Greensleeves_paper_score.ily"

\include "global.ily"

\include "scoreAFluteI.ily"
\include "scoreAFluteII.ily"

\include "scoreAUpper.ily"
\include "scoreADynamics.ily"
\include "scoreALower.ily"

\include "scoreAViolinI.ily"
\include "scoreAViolinII.ily"
\include "scoreAViolinIIa.ily"
\include "scoreAViola.ily"
\include "scoreAViolaa.ily"
\include "scoreACello.ily"
\include "scoreACelloa.ily"
\include "scoreAContrabass.ily"

scoreAFluteIPart = \new Staff \with {
  instrumentName = \markup {\center-column {"FLUTE I" "(or Violin Solo)"}}
  shortInstrumentName = "Fl. I"
  midiInstrument = "flute"
  \RemoveAllEmptyStaves
} \scoreAFluteI

scoreAFluteIIPart = \new Staff \with {
  instrumentName = \markup {\center-column {"FLUTE II" "(or Violin Solo)"}}
  shortInstrumentName = "Fl. II"
  midiInstrument = "flute"
  \RemoveAllEmptyStaves
} \scoreAFluteII

scoreAHarpPart = \new PianoStaff \with {
  instrumentName = \markup {\center-column {"HARP" "(or Pianoforte)"}}
  shortInstrumentName = "Harp"
  \RemoveAllEmptyStaves
} <<
  \new Staff = "upper" \with {
    midiInstrument = "orchestral harp"
  } \scoreAUpper
  \new Dynamics \scoreADynamics
  \new Staff = "lower" \with {
    midiInstrument = "orchestral harp"
  } { \clef bass \scoreALower }
>>

scoreAViolinIPart = \new Staff \with {
  instrumentName = "VIOLIN I"
  shortInstrumentName = "Vln. I"
  midiInstrument = "violin"
  \RemoveAllEmptyStaves
} \scoreAViolinI

scoreAViolinIIPart = \new GrandStaff \with {
  instrumentName = "VIOLIN II"
  shortInstrumentName = "Vln. II"
} <<
  \new Staff \with {
    midiInstrument = "violin"
    \RemoveAllEmptyStaves
  } \scoreAViolinII
  \new Staff \with {
    \RemoveAllEmptyStaves
    midiInstrument = "violin"
  } \scoreAViolinIIa
>>

scoreAViolaPart = \new GrandStaff \with {
  instrumentName = "VIOLA"
  shortInstrumentName = "Vla."
} <<
  \new Staff \with {
    midiInstrument = "viola"
    \RemoveAllEmptyStaves
  } {\clef alto \scoreAViola}
  \new Staff \with {
    \RemoveAllEmptyStaves
    midiInstrument = "viola"
  } {\clef alto \scoreAViolaa}
>>

scoreACelloPart = \new GrandStaff \with {
  instrumentName = "VIOLONCELLO"
  shortInstrumentName = "Vcl."
} <<
  \new Staff \with {
    midiInstrument = "cello"
    \RemoveAllEmptyStaves
  } {\clef bass \scoreACello}
  \new Staff \with {
    \RemoveAllEmptyStaves
    midiInstrument = "cello"
  } {\clef bass \scoreACelloa}
>>

scoreAContrabassPart = \new Staff \with {
  instrumentName = "CONTRA BASS"
  shortInstrumentName = "C.B."
  midiInstrument = "contrabass"
  \RemoveAllEmptyStaves
} { \clef bass \scoreAContrabass }

\score {
  <<
    \new StaffGroup <<
      \scoreAFluteIPart
      \scoreAFluteIIPart
    >>
    \scoreAHarpPart
    \new StaffGroup <<
      \scoreAViolinIPart
      \scoreAViolinIIPart
      \scoreAViolaPart
      \scoreACelloPart
      \scoreAContrabassPart
    >>
  >>
  \layout {  }
  \midi { }
}
